/*
	DataConformCmd.h - shape template files

	Will Eighteen, 2000: will@opaline.demon.co.uk
*/

#ifndef DATACONFORMCMD_H
#define DATACONFORMCMD_H

#ifndef BREAK
#define BREAK
#include <BreakCmd.h>
#endif


#define BUFSIZE 1024


class FileAccess;


class DataConformCmd : public BreakCmd
{
	public:
		DataConformCmd ( char *, int, float *, int *, long, long, unsigned int, float, int, char * );
		virtual ~DataConformCmd();
		int error() { return _error; }

	protected:
		void doCommand();
		
	private:
		int _once, _error, _percentDone, _processNum, _dataType;
		int _numProcesses, _processedSamples;
		float *_fdata;
		int *_idata;
		long _startData, _endData;
		unsigned int _numPoints;
		float _weighting;
		long double _oldMax, _newMax, _scale, _offset;
		long _lastPos, _start, _ptr;
		char _transformFile[BUFSIZE];
		Boolean _offsetInitialised;
		FileAccess *_tf;
};

#endif
