/*
	RunCsoundCmd.h - create shell script to run csound command

	Will Eighteen, 2001: will@opaline.demon.co.uk
*/

#ifndef RUNCSOUNDCMD_H
#define RUNCSOUNDCMD_H

#define BUFSIZE 1024

#ifndef BREAK
#define BREAK
#include <BreakCmd.h>
#endif


class MixwaveUtils;

class RunCsoundCmd : public BreakCmd
{
	public:
		RunCsoundCmd ( char *, int, char *, float );
		virtual const char *const className() { return ( "RunCsoundCmd" ); }
		~RunCsoundCmd();
		char *error() { return _error; }
		
	protected:
		void doCommand();

	private:
		MixwaveUtils *_utils;
		char _error[BUFSIZE];
		char _csndLog[BUFSIZE];
		char _pidLog[BUFSIZE];
		char _pidCmd[BUFSIZE];
		char *_baseName;
		int _once;
		char _pidString[20];
		char _line[256];
};


#endif

/*
  Notes:
*/
