// SimpleList.cc

#include "SimpleList.h"
#include <X11/Intrinsic.h>

template <class T>
SimpleList<T>::SimpleList()
{
	_size = 0;
	_data = NULL;
}

template <class T>
SimpleList<T>::~SimpleList()
{
	XtFree ( ( char * ) _data );
}

template <class T>
void SimpleList<T>::add(T t)
{
	_data = ( T* ) XtRealloc ( ( char * ) _data, sizeof ( T ) * ( _size + 1 ) );
	_data[_size++] = t;
}

template <class T>
void SimpleList<T>::remove(T t)
{
	for (int i = 0; i < _size; i++ )
		if ( _data[i] == t )
		{
			_size--;
			
			for (int j = i; j < _size; j++ )
				_data[j] = _data[j+1];
				
			_data = ( T* ) XtRealloc ( ( char * ) _data, sizeof ( T ) * _size );
			return;
		}
}
